- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Fetches a list of Pull Requests from the remote repository.
HTTP request
GET https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchPullRequestList
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The GitRepositoryLink resource name in the format |
Query parameters
| Parameters | |
|---|---|
filter |
Optional. A filter expression that filters the pull requests returned in the response. Only a single equality comparison on |
pageSize |
Optional. Number of results to return in the list. Default is 20. Max is 100. A page may contain fewer than |
pageToken |
Optional. A page token, received from a previous |
Request body
The request body must be empty.
Response body
Response message for gitRepositoryLinks.fetchPullRequestList.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"pullRequests": [
{
object ( |
| Fields | |
|---|---|
pullRequests[] |
The list of pull requests. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
developerconnect.gitRepositoryLinks.fetchPullRequestList
For more information, see the IAM documentation.